using System.Collections.Generic;
using System.Threading.Tasks;
using Datory;

namespace GxPress.Repository.Interface.ArticleLabel
{
    public interface IArticleInnerLabelRepository : IRepository
    {
        Task<int> InsertAsync(Entity.ArticleLabel.ArticleInnerLabel ArticleInnerLabel);

        Task<Entity.ArticleLabel.ArticleInnerLabel> GetAsync(int id);

        Task<bool> UpdateAsync(Entity.ArticleLabel.ArticleInnerLabel ArticleInnerLabel);

        Task<bool> DeleteAsync(SqlKata.Query query);

        Task<bool> UpdateAsync(SqlKata.Query query);

        Task<IEnumerable<Entity.ArticleLabel.ArticleInnerLabel>> GetAllAsync(SqlKata.Query query);
    }
}